services:
  keepalived:
    image: osixia/keepalived:latest
    container_name: keepalived
    restart: unless-stopped
    network_mode: host
    cap_add:
      - NET_ADMIN
      - NET_BROADCAST
      - NET_RAW
    volumes:
      - /docker/keepalived/checks:/checks
      - /docker/keepalived/config:/usr/local/etc/keepalived
      - /var/run/docker.sock:/var/run/docker.sock:ro